<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_AbeHironobuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">安倍　寛信</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_AbeHironobuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">安倍　寛信 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_AdvertisingExpenses_label" xlink:role="http://www.xbrl.org/2003/role/label">広告宣伝費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_AdvertisingExpenses_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">広告宣伝費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_BondsNCL_label" xlink:role="http://www.xbrl.org/2003/role/label">社債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_BondsNCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">社債、固定負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA_label" xlink:role="http://www.xbrl.org/2003/role/label">未成工事支出金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">未成工事支出金、流動資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_EmployeePayrollsSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">従業員給与</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_EmployeePayrollsSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">従業員給与、販売費及び一般管理費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock_label" xlink:role="http://www.xbrl.org/2003/role/label">自己株式処分差益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">自己株式処分差益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal_label" xlink:role="http://www.xbrl.org/2003/role/label">投資有価証券売却損益（△は益）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">投資有価証券売却損益（△は益）、小計</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">食品関連事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">食品関連事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">住宅・不動産関連事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">住宅・不動産関連事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:role="http://www.xbrl.org/2003/role/label">減損処理額、評価損益の合計額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">減損処理額、評価損益の合計額、非上場株式、保有目的が純投資目的である投資株式、最大保有会社</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:role="http://www.xbrl.org/2003/role/label">減損処理額、評価損益の合計額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">減損処理額、評価損益の合計額、非上場株式以外の株式、保有目的が純投資目的である投資株式、最大保有会社</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">返金負債の増減額（△は減少）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">返金負債の増減額（△は減少）、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_KudoKyojiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">工藤　恭二</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_KudoKyojiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">工藤　恭二 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_KusabaNobuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">草場　信之</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_KusabaNobuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">草場　信之 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_MaruyamaTakekoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">丸山　武子</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_MaruyamaTakekoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">丸山　武子 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_MoriYasuhumiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">森　泰文</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_MoriYasuhumiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">森　泰文 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">中西　常道</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">中西　常道 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">補助金収入に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">補助金収入に関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">コミットメントラインに関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">コミットメントラインに関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">財務制限条項に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">財務制限条項に関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">手形債権流動化に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">手形債権流動化に関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">助成金収入に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">助成金収入に関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_OmoriHirotoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">大森　礼仁</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_OmoriHirotoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">大森　礼仁 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_OudaHidetoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">網田　日出人</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_OudaHidetoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">網田　日出人 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">糖粉・飼料畜産関連事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">糖粉・飼料畜産関連事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus_label" xlink:role="http://www.xbrl.org/2003/role/label">剰余金の配当に伴う利益準備金の積立</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">剰余金の配当に伴う利益準備金の積立</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">非連結子会社株式の取得による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">非連結子会社株式の取得による支出、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">持分法適用関連会社株式取得による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">持分法適用関連会社株式取得による支出、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">持分法非適用関連会社株式取得による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">持分法非適用関連会社株式取得による支出、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_RemunerationForDirectors_label" xlink:role="http://www.xbrl.org/2003/role/label">役員報酬</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_RemunerationForDirectors_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">役員報酬</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary_label" xlink:role="http://www.xbrl.org/2003/role/label">子会社からの報酬</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">子会社からの報酬</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ShimosakaMasaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">下坂　正夫</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_ShimosakaMasaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">下坂　正夫 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill_label" xlink:role="http://www.xbrl.org/2003/role/label">のれんの未償却残高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">のれんの未償却残高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:role="http://www.xbrl.org/2003/role/label">含み損益、評価損益の合計額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">含み損益、評価損益の合計額、非上場株式、保有目的が純投資目的である投資株式、最大保有会社</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:role="http://www.xbrl.org/2003/role/label">含み損益、評価損益の合計額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">含み損益、評価損益の合計額、非上場株式以外の株式、保有目的が純投資目的である投資株式、最大保有会社</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_YamadaRyojiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">山田　良二</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_YamadaRyojiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">山田　良二 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_YamamotoTomokoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">山本　智子</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36756-000_YamamotoTomokoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">山本　智子 [メンバー]</link:label>
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_AbeHironobuMember" xlink:label="jpcrp030000-asr_E36756-000_AbeHironobuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_AdvertisingExpenses" xlink:label="jpcrp030000-asr_E36756-000_AdvertisingExpenses" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_BondsNCL" xlink:label="jpcrp030000-asr_E36756-000_BondsNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA" xlink:label="jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_EmployeePayrollsSGA" xlink:label="jpcrp030000-asr_E36756-000_EmployeePayrollsSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock" xlink:label="jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal" xlink:label="jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember" xlink:label="jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember" xlink:label="jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:label="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:label="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF" xlink:label="jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_KudoKyojiMember" xlink:label="jpcrp030000-asr_E36756-000_KudoKyojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_KusabaNobuyukiMember" xlink:label="jpcrp030000-asr_E36756-000_KusabaNobuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_MaruyamaTakekoMember" xlink:label="jpcrp030000-asr_E36756-000_MaruyamaTakekoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_MoriYasuhumiMember" xlink:label="jpcrp030000-asr_E36756-000_MoriYasuhumiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember" xlink:label="jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock" xlink:label="jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock" xlink:label="jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock" xlink:label="jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_OmoriHirotoMember" xlink:label="jpcrp030000-asr_E36756-000_OmoriHirotoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_OudaHidetoMember" xlink:label="jpcrp030000-asr_E36756-000_OudaHidetoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember" xlink:label="jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus" xlink:label="jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF" xlink:label="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_RemunerationForDirectors" xlink:label="jpcrp030000-asr_E36756-000_RemunerationForDirectors" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary" xlink:label="jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_ShimosakaMasaoMember" xlink:label="jpcrp030000-asr_E36756-000_ShimosakaMasaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill" xlink:label="jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:label="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:label="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_YamadaRyojiMember" xlink:label="jpcrp030000-asr_E36756-000_YamadaRyojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36756-000_2024-03-31_01_2024-06-21.xsd#jpcrp030000-asr_E36756-000_YamamotoTomokoMember" xlink:label="jpcrp030000-asr_E36756-000_YamamotoTomokoMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_AbeHironobuMember" xlink:to="jpcrp030000-asr_E36756-000_AbeHironobuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_AbeHironobuMember" xlink:to="jpcrp030000-asr_E36756-000_AbeHironobuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_AdvertisingExpenses" xlink:to="jpcrp030000-asr_E36756-000_AdvertisingExpenses_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_AdvertisingExpenses" xlink:to="jpcrp030000-asr_E36756-000_AdvertisingExpenses_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_BondsNCL" xlink:to="jpcrp030000-asr_E36756-000_BondsNCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_BondsNCL" xlink:to="jpcrp030000-asr_E36756-000_BondsNCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA" xlink:to="jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA" xlink:to="jpcrp030000-asr_E36756-000_CostsOnUncompletedConstructionContractsCA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_EmployeePayrollsSGA" xlink:to="jpcrp030000-asr_E36756-000_EmployeePayrollsSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_EmployeePayrollsSGA" xlink:to="jpcrp030000-asr_E36756-000_EmployeePayrollsSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock" xlink:to="jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock" xlink:to="jpcrp030000-asr_E36756-000_GainOnDisposalOfTreasuryStock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal" xlink:to="jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal" xlink:to="jpcrp030000-asr_E36756-000_GainsAndLossesOnSalesOfInvestmentSecuritiesSubtotal_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember" xlink:to="jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember" xlink:to="jpcrp030000-asr_E36756-000_GroceryRelatedReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember" xlink:to="jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember" xlink:to="jpcrp030000-asr_E36756-000_HousingAndRealEstateRelatedReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_ImpairmentTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF" xlink:to="jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF" xlink:to="jpcrp030000-asr_E36756-000_IncreaseDecreaseInRefundLiabilitiesOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_KudoKyojiMember" xlink:to="jpcrp030000-asr_E36756-000_KudoKyojiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_KudoKyojiMember" xlink:to="jpcrp030000-asr_E36756-000_KudoKyojiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_KusabaNobuyukiMember" xlink:to="jpcrp030000-asr_E36756-000_KusabaNobuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_KusabaNobuyukiMember" xlink:to="jpcrp030000-asr_E36756-000_KusabaNobuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_MaruyamaTakekoMember" xlink:to="jpcrp030000-asr_E36756-000_MaruyamaTakekoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_MaruyamaTakekoMember" xlink:to="jpcrp030000-asr_E36756-000_MaruyamaTakekoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_MoriYasuhumiMember" xlink:to="jpcrp030000-asr_E36756-000_MoriYasuhumiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_MoriYasuhumiMember" xlink:to="jpcrp030000-asr_E36756-000_MoriYasuhumiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember" xlink:to="jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember" xlink:to="jpcrp030000-asr_E36756-000_NakanishiTsunemichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NoteOnSubsidyIncomeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesOnCommitmentLineContractsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesRegardingFinancialCovenantClausesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesRegardingLiquidationOfNotesReceivableTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock" xlink:to="jpcrp030000-asr_E36756-000_NotesRegardingSubsidyIncomeTextBlockTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_OmoriHirotoMember" xlink:to="jpcrp030000-asr_E36756-000_OmoriHirotoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_OmoriHirotoMember" xlink:to="jpcrp030000-asr_E36756-000_OmoriHirotoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_OudaHidetoMember" xlink:to="jpcrp030000-asr_E36756-000_OudaHidetoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_OudaHidetoMember" xlink:to="jpcrp030000-asr_E36756-000_OudaHidetoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember" xlink:to="jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember" xlink:to="jpcrp030000-asr_E36756-000_PowderSugarAndFeedAndLivestockRelatedReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus" xlink:to="jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus" xlink:to="jpcrp030000-asr_E36756-000_ProvisionOfLegalRetainedEarningsByDividendsFromSurplus_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF" xlink:to="jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF" xlink:to="jpcrp030000-asr_E36756-000_PurchaseOfSharesOfUnconsolidatedSubsidiariesInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF" xlink:to="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF" xlink:to="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfEquityMethodAffiliateInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF" xlink:to="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF" xlink:to="jpcrp030000-asr_E36756-000_PurchaseOfStocksOfNonEquityMethodAffiliateInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_RemunerationForDirectors" xlink:to="jpcrp030000-asr_E36756-000_RemunerationForDirectors_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_RemunerationForDirectors" xlink:to="jpcrp030000-asr_E36756-000_RemunerationForDirectors_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary" xlink:to="jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary" xlink:to="jpcrp030000-asr_E36756-000_RemunerationFromASubsidiary_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ShimosakaMasaoMember" xlink:to="jpcrp030000-asr_E36756-000_ShimosakaMasaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_ShimosakaMasaoMember" xlink:to="jpcrp030000-asr_E36756-000_ShimosakaMasaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill" xlink:to="jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill" xlink:to="jpcrp030000-asr_E36756-000_UnamortizedBalanceOfGoodwill_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36756-000_UnrealizedGainLossTotalOfValuationGainLossEquitySecuritiesOtherThanThoseNotListedInvestmentEquitySecuritiesHeldForPureInvestmentLargestHoldingCompany_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_YamadaRyojiMember" xlink:to="jpcrp030000-asr_E36756-000_YamadaRyojiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_YamadaRyojiMember" xlink:to="jpcrp030000-asr_E36756-000_YamadaRyojiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_YamamotoTomokoMember" xlink:to="jpcrp030000-asr_E36756-000_YamamotoTomokoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36756-000_YamamotoTomokoMember" xlink:to="jpcrp030000-asr_E36756-000_YamamotoTomokoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>